> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Portfolio Funds

> Move funds between portfolios.



## OpenAPI

````yaml POST /api/v3/brokerage/portfolios/move_funds
openapi: 3.0.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - apiKeyAuth: []
paths:
  /api/v3/brokerage/portfolios/move_funds:
    post:
      tags:
        - Portfolios
      summary: Move Portfolio Funds
      description: Move funds between portfolios.
      operationId: RetailBrokerageApi_MovePortfolioFunds
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.MovePortfolioFundsRequest
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.MovePortfolioFundsResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.MovePortfolioFundsResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.MovePortfolioFundsRequest:
      type: object
      properties:
        funds:
          description: The amount to be moved to the specified portfolio.
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        source_portfolio_uuid:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: The UUID of the portfolio to send funds from.
        target_portfolio_uuid:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: The UUID of the portfolio to send funds to.
    coinbase.public_api.authed.retail_brokerage_api.MovePortfolioFundsResponse:
      type: object
      properties:
        source_portfolio_uuid:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: The UUID of the portfolio to send funds from.
        target_portfolio_uuid:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: The UUID of the portfolio to send funds to.
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.portfolio_service.Amount:
      type: object
      properties:
        value:
          type: string
          description: The amount of specified currency.
        currency:
          type: string
          description: The currency symbol (e.g. USD).
      description: Represents a monetary amount.
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A JWT signed using your CDP API Key Secret, encoded in base64. Refer to
        the [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our Coinbase App Authentication docs for information on how
        to generate your Bearer Token.

````